import request from '@/utils/request'

// 查询科技贷台账信息列表
export function listAccount(query) {
    return request({
        url: '/crmTechLoanAccount/findByPage',
        method: 'get',
        params: query
    })
}

// 查询科技贷台账信息详细
export function getAccount(id) {
    return request({
        url: '/crmTechLoanAccount/' + id,
        method: 'get'
    })
}

// 新增科技贷台账信息
export function addAccount(data) {
    return request({
        url: '/crmTechLoanAccount',
        method: 'post',
        data: data
    })
}

// 修改科技贷台账信息
export function updateAccount(data) {
    return request({
        url: '/crmTechLoanAccount',
        method: 'put',
        data: data
    })
}

// 删除科技贷台账信息
export function delAccount(id) {
    return request({
        url: '/crmTechLoanAccount/deleteAll',
        method: 'delete'
    })
}
// 批量删除行政许可
export function delAccountBatch(ids) {
    console.log(ids);
    return request.post('/crmTechLoanAccount/delete',ids)
}